
CW2Dymola  - Bug #95
hodnota promenne "time" neodpovida casu simulace
13 June 2012 13:25 - Tomáš Kulhánek

Status: Resolved Start date: 13 June 2012
Priority: Normal Due date:
Assignee: Tomáš Kulhánek % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 4.00 hours
Description

v CW2DymolaDriver proměnná "time" se vyskytuje v seznamu dostupných proměnných,
ale pokud se běžící simulace dotazuje na jějí hodnotu, dymosim vrátí hodnotu 0.
Výpis TestDLLSimulator:

C:\Users\tomaton\Dropbox\KOFRLAB-simenv\IKEDA - CW>TestDymolaSimulator outputBus
Connector.PVP time 10
Testing DLL Simulator
 iteration 0.0000005 simulation status 2 p1 3.997749 r1 0.000000
 iteration 10.0000005 simulation status 2 p1 3.997244 r1 0.000000
 iteration 20.0000005 simulation status 2 p1 3.997018 r1 0.000000
 iteration 30.0000005 simulation status 2 p1 3.996809 r1 0.000000
...

kde hodnota r1 ma mit hodnotu iterace tj 0,10,20,30

History
#1 - 14 June 2012 07:16 - Tomáš Kulhánek
- Status changed from New to Resolved
- % Done changed from 0 to 100

fixed. "time" variable has index == -1. Index of getting this variable the DymosimGetTime - simulation time - is returned.

    //fix bug #95 "time" variable doesn't return time 
    ChannelValue[channelindex] =
(handle[channelindex].index==-1)?DymosimGetTime(simulator):DymosimGetValue(simulator,handle[channelindex].category,handle[channelindex].index);


dex].index);

#2 - 04 July 2012 10:26 - Tomáš Kulhánek
- Project changed from Physioserver to CW2Dymola 
- Category deleted (Podpůrná infrastruktura)
- Target version deleted (prototyp s control-webem)

#3 - 04 July 2012 10:29 - Tomáš Kulhánek
- Assignee deleted (Tomáš Kulhánek)

#4 - 04 July 2012 10:30 - Tomáš Kulhánek
- Assignee set to Tomáš Kulhánek
